<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classudp__tx__mux.html">udp_tx_mux</a></li><li class="navelem"><a class="el" href="classudp__tx__mux_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classudp__tx__mux_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a3dec58cd442634866984f01e7f032102"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dec58cd442634866984f01e7f032102"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a3dec58cd442634866984f01e7f032102">rx_event</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a741be575d1ba5848bae43b64f3c36a95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a741be575d1ba5848bae43b64f3c36a95"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a741be575d1ba5848bae43b64f3c36a95">udp_event</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac8d3c31dc564cb37b460d59b7d11221c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8d3c31dc564cb37b460d59b7d11221c"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#ac8d3c31dc564cb37b460d59b7d11221c">udp_short_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab7d3326156c6150e821afb9aa2d95757"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7d3326156c6150e821afb9aa2d95757"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#ab7d3326156c6150e821afb9aa2d95757">udp_send_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a57eb6f9282f1c4f04807691035a0e221"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57eb6f9282f1c4f04807691035a0e221"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a57eb6f9282f1c4f04807691035a0e221">do_udp_counter</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6713afe893cdc901726164ece4a9a95e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6713afe893cdc901726164ece4a9a95e"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a6713afe893cdc901726164ece4a9a95e">udp_control_build</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4619f6abc61c94a1b500b927a7becadc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4619f6abc61c94a1b500b927a7becadc"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a4619f6abc61c94a1b500b927a7becadc">udp_build_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3e5c0e8c9526a95d590b56d938f731bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e5c0e8c9526a95d590b56d938f731bf"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a3e5c0e8c9526a95d590b56d938f731bf">next_addr</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2078291d2f07067d398f2fd257871fde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2078291d2f07067d398f2fd257871fde"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a2078291d2f07067d398f2fd257871fde">send_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a604ba19066011e5cf6f60f4f749fa7f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a604ba19066011e5cf6f60f4f749fa7f6"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a604ba19066011e5cf6f60f4f749fa7f6">do_ipbus_hdr</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a823dccd18735c9e19941817548b3d86d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a823dccd18735c9e19941817548b3d86d"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a823dccd18735c9e19941817548b3d86d">state_machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a15cfebda84a39993d4e6c4b2d26c3996"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15cfebda84a39993d4e6c4b2d26c3996"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a15cfebda84a39993d4e6c4b2d26c3996">rxram_busy_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a50271d37d945b557714d2995c4b9d4c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50271d37d945b557714d2995c4b9d4c6"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a50271d37d945b557714d2995c4b9d4c6">rxram_active</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b95459a3f293911147c3f8083ed2c64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b95459a3f293911147c3f8083ed2c64"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a5b95459a3f293911147c3f8083ed2c64">rxram_end_addr_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1027f7e534271a1dd48b15f3db309fbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1027f7e534271a1dd48b15f3db309fbb"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a1027f7e534271a1dd48b15f3db309fbb">udpram_busy_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad39c14951621a75c7615f638faffe34f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad39c14951621a75c7615f638faffe34f"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#ad39c14951621a75c7615f638faffe34f">udpram_active</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab49aef2ea729a856d3b22a09b1375f0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab49aef2ea729a856d3b22a09b1375f0e"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#ab49aef2ea729a856d3b22a09b1375f0e">low_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04b6c4080cef8c677f0b224c834234aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04b6c4080cef8c677f0b224c834234aa"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a04b6c4080cef8c677f0b224c834234aa">udpram_end_addr_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeb0e270ba3a8f6bce3d34a90f9df3515"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb0e270ba3a8f6bce3d34a90f9df3515"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#aeb0e270ba3a8f6bce3d34a90f9df3515">counting</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a256e16269ba81b3c2e6f1b7e5343e93c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a256e16269ba81b3c2e6f1b7e5343e93c"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a256e16269ba81b3c2e6f1b7e5343e93c">set_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a01a6d00afe40f487564d638fa654dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a01a6d00afe40f487564d638fa654dc"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a1a01a6d00afe40f487564d638fa654dc">prefetch</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a604d8e0e5d77d33452f289bc09651d3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a604d8e0e5d77d33452f289bc09651d3e"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a604d8e0e5d77d33452f289bc09651d3e">send_special</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a22b91ca97989b5907e7639930e99ff7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22b91ca97989b5907e7639930e99ff7f"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a22b91ca97989b5907e7639930e99ff7f">mac_tx_valid_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6cebba76c43248b747da997b15002577"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cebba76c43248b747da997b15002577"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a6cebba76c43248b747da997b15002577">mac_tx_last_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a301ec20b8ab494c1bedcb9c8789e23c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a301ec20b8ab494c1bedcb9c8789e23c0"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a301ec20b8ab494c1bedcb9c8789e23c0">mac_tx_ready_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9702f6a73bb9fb1a1964115e8af561d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9702f6a73bb9fb1a1964115e8af561d7"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a9702f6a73bb9fb1a1964115e8af561d7">addr_to_set</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af88df3e5aaba967e99467b7ad97f54fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af88df3e5aaba967e99467b7ad97f54fa"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#af88df3e5aaba967e99467b7ad97f54fa">addr_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8bb375e145fe125bdcf1340da523b019"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8bb375e145fe125bdcf1340da523b019"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a8bb375e145fe125bdcf1340da523b019">special</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37bbfdba2c26d7d0fe28942316ecec43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37bbfdba2c26d7d0fe28942316ecec43"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a37bbfdba2c26d7d0fe28942316ecec43">mac_tx_data_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a191b00d87ba0d426ebd041e18e43b952"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a191b00d87ba0d426ebd041e18e43b952"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a191b00d87ba0d426ebd041e18e43b952">ip_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6def702ddc363bdede322fe21f59e0e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6def702ddc363bdede322fe21f59e0e3"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a6def702ddc363bdede322fe21f59e0e3">ip_cksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a354a4b0394e43028b164d6945d86d0c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a354a4b0394e43028b164d6945d86d0c2"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a354a4b0394e43028b164d6945d86d0c2">udp_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa755c3c9121910c9dc3aa410773e84a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa755c3c9121910c9dc3aa410773e84a"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#afa755c3c9121910c9dc3aa410773e84a">udp_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad90e92fdb092c3dbca6205f440b98bd8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad90e92fdb092c3dbca6205f440b98bd8"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#ad90e92fdb092c3dbca6205f440b98bd8">udp_counting</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a12ab81d164616254c2077c2326e24653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12ab81d164616254c2077c2326e24653"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a12ab81d164616254c2077c2326e24653">byteswap_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a42d1d251cf9ac6fc3eebf7e8b060c3dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42d1d251cf9ac6fc3eebf7e8b060c3dd"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#a42d1d251cf9ac6fc3eebf7e8b060c3dd">byteswapping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff7f6a928b9b4fded99ea8df19ef8fbd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff7f6a928b9b4fded99ea8df19ef8fbd"></a>
<a class="el" href="classudp__tx__mux_1_1rtl.html#aff7f6a928b9b4fded99ea8df19ef8fbd">udp_short_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__tx__mux_8vhd_source.html#l00045">45</a> of file <a class="el" href="udp__tx__mux_8vhd_source.html">udp_tx_mux.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__tx__mux_8vhd_source.html">udp_tx_mux.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
